Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## play.modules.morphia.utils
Class PlayLogr

    java.lang.Object
      play.modules.morphia.utils.PlayLogr

    public class PlayLogr

extends java.lang.Object

Constructor Summary
`PlayLogr()`

Method Summary
`void` | `debug(java.lang.String msg)`
`void` | `debug(java.lang.String format, java.lang.Object... arg)`
`void` | `debug(java.lang.String msg, java.lang.Throwable t)`
`void` | `error(java.lang.String msg)`
`void` | `error(java.lang.String format, java.lang.Object... arg)`
`void` | `error(java.lang.String msg, java.lang.Throwable t)`
`void` | `info(java.lang.String msg)`
`void` | `info(java.lang.String format, java.lang.Object... arg)`
`void` | `info(java.lang.String msg, java.lang.Throwable t)`
`boolean` | `isDebugEnabled()`
`boolean` | `isErrorEnabled()`
`boolean` | `isInfoEnabled()`
`boolean` | `isTraceEnabled()`
`boolean` | `isWarningEnabled()`
`void` | `trace(java.lang.String msg)`
`void` | `trace(java.lang.String format, java.lang.Object... arg)`
`void` | `trace(java.lang.String msg, java.lang.Throwable t)`
`void` | `warning(java.lang.String msg)`
`void` | `warning(java.lang.String format, java.lang.Object... arg)`
`void` | `warning(java.lang.String msg, java.lang.Throwable t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlayLogr

    public PlayLogr()

Method Detail

### isTraceEnabled

    public boolean isTraceEnabled()

### trace

    public void trace(java.lang.String msg)

### trace

    public void trace(java.lang.String format,
                      java.lang.Object... arg)

### trace

    public void trace(java.lang.String msg,
                      java.lang.Throwable t)

### isDebugEnabled

    public boolean isDebugEnabled()

### debug

    public void debug(java.lang.String msg)

### debug

    public void debug(java.lang.String format,
                      java.lang.Object... arg)

### debug

    public void debug(java.lang.String msg,
                      java.lang.Throwable t)

### isInfoEnabled

    public boolean isInfoEnabled()

### info

    public void info(java.lang.String msg)

### info

    public void info(java.lang.String format,
                     java.lang.Object... arg)

### info

    public void info(java.lang.String msg,
                     java.lang.Throwable t)

### isWarningEnabled

    public boolean isWarningEnabled()

### warning

    public void warning(java.lang.String msg)

### warning

    public void warning(java.lang.String format,
                        java.lang.Object... arg)

### warning

    public void warning(java.lang.String msg,
                        java.lang.Throwable t)

### isErrorEnabled

    public boolean isErrorEnabled()

### error

    public void error(java.lang.String msg)

### error

    public void error(java.lang.String format,
                      java.lang.Object... arg)

### error

    public void error(java.lang.String msg,
                      java.lang.Throwable t)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD